Summary: Chinese(GB) PostScript Fonts
Name: gbpfb
Version: 1.1
Release: 1
Group: User Interface/X
Copyright: GPL
Vendor: Xiangyang Chen <chenxy@sun.ihep.ac.cn>
Packager: Hao Li <hli@wag.caltech.edu>

# Source[3-6] are from Chinese Windows NT WS 4.0, expanded with WinZip.
#
# Source2 is a script to directly print postscript files containing
# Chinese GB characters (such as those generated by Netscape).
#
# Patch0 is a patch by Xiangyang Chen against ttf2pfb.c in contrib/ of
# freetype-1.1.full.tar.gz, to add unicode capability.
#
# Patch1 is a patch by Hao Li to get t1asm compiled by gcc-2.95.1 with
# glibc-2.1.2.

Source0: ftp://ftp.ifcss.org/pub/software/fonts/gb/ps/gbpfb-1.1.tar.gz
Source1: ftp://ftp.freetype.org/pub/freetype/freetype-1.2.tar.gz
Source2: clpr
Source3: simfang.ttf
Source4: simhei.ttf
Source5: simkai.ttf
Source6: simsun.ttc
Patch0:  ttf2pfb.patch
Patch1:  t1asm.patch

Requires: ghostscript
BuildRoot: /var/tmp/%{name}-root

%description
This package includes a set of Chinese(GB) PostScript fonts and some small
utilities helping you generate Chinese PostScript files.  It also includes
some hints on establishing a printer queue that uses Ghostscript as the
PostScript filter.  After easy installation, you may get an Chinese-enabled
Ghostscript through which you can view and print Chinese files.


%prep
%setup -q -a 1
patch        freetype-1.2/contrib/ttf2pfb/ttf2pfb.c %{PATCH0}
patch        freetype-1.2/contrib/ttf2pfb/t1asm.c   %{PATCH1}
cp gbk2uni.h freetype-1.2/contrib/ttf2pfb


%build
# Build ttf2pfb and t1asm first. Use the sources from freetype-1.2.
(
	cd freetype-1.2/contrib/ttf2pfb
	cc -O3 -o t1asm t1asm.c
	cc -O3 -o ttf2pfb ttf2pfb.c -lttf
	strip t1asm ttf2pfb
	cp -p t1asm ttf2pfb ../../..
)

# Now generate the pfb fonts
sed "s|/usr/local/lib/gbpfb|$PWD|" gbpfb > gbpfb.new
chmod 755 gbpfb.new
export PATH=$PATH:$PWD
./gbpfb.new %{SOURCE3} fs
./gbpfb.new %{SOURCE4} hei
./gbpfb.new %{SOURCE5} kai
./gbpfb.new %{SOURCE6} song


%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
perl -pi -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT/usr/bin/gbpfb
mkdir -p $RPM_BUILD_ROOT/usr/share/ghostscript/fonts
install -p -m644 fonts/* $RPM_BUILD_ROOT/usr/share/ghostscript/fonts
install -p -m755 %{SOURCE2} $RPM_BUILD_ROOT/usr/bin


%post
cat <<EOF
Please manually patch /usr/share/ghostscript/<GSVER>/Fontmap as follows:
# cd /usr/share/ghostscript/<GSVER>
# cp Fontmap Fontmap.stock
# cat /usr/lib/gbpfb/Fontmap.gb >> Fontmap
EOF

%postun
cat <<EOF
Please manually restore /usr/share/ghostscript/<GSVER>/Fontmap as follows:
# cd /usr/share/ghostscript/<GSVER>
# mv Fontmap.stock Fontmap
EOF


%files
%defattr(-,root,root)
%doc COPYING README README.gb examples printer
/usr/bin/*
/usr/lib/*
/usr/share/ghostscript/fonts/*



%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Sep 17 1999 Hao Li <hli@wag.caltech.edu>
- Initial RPM release.

